#include <bits/stdc++.h>
#define MAXN 200010
using namespace std;
vector<pair<double,double> > procenat_plata;
double prefiks_sume[MAXN];
int main()
{
    long long n,a;
    double p,maxi=-DBL_MAX;
    pair<double,double> x;
    cin >> n;
    for (long long i=0;i<n;i++)
    {
        cin >> a >> p;
        x.first=p;
        x.second=1.0*a;
        procenat_plata.push_back(x);
    }
    sort(procenat_plata.begin(),procenat_plata.end());
    prefiks_sume[0]=procenat_plata[0].second;
    for (long long i=0;i<n;i++)
    {
        prefiks_sume[i]=prefiks_sume[i-1]+procenat_plata[i].second;
    }
    long long l=1,r=n-1,mid;
    while (l<r)
    {
        mid=(l+r)/2;
        double rez=(prefiks_sume[n-1]-prefiks_sume[mid-1])*procenat_plata[mid].first*0.01;
        if (rez>maxi)
        {
            maxi=rez;
            l=mid+1;
            continue;
        }
        r=mid-1;
    }
    cout << fixed << maxi << "\n";
    return 0;
}